Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1440)

Issue 14532048: code review 14532048: go.crypto/ssh: implement memTransport using sync.Cond. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 11 months ago by hanwen-google
Modified:
5 years, 10 months ago
Reviewers:
dfc
CC:
golang-dev, dfc, agl1
Visibility:
Public.

Description

go.crypto/ssh: implement memTransport using sync.Cond. This makes memTransport safe for use with multiple writers/closers.

Patch Set 1 #

Patch Set 2 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Patch Set 3 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Total comments: 7

Patch Set 4 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Patch Set 5 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Patch Set 6 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Patch Set 7 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Patch Set 8 : diff -r 9ff358df0dad https://code.google.com/p/go.crypto #

Unified diffs Side-by-side diffs Delta from patch set Stats (+102 lines, -31 lines) Patch
M ssh/kex_test.go View 1 1 chunk +0 lines, -31 lines 0 comments Download
A ssh/mempipe_test.go View 1 2 3 4 5 6 7 1 chunk +102 lines, -0 lines 0 comments Download

Messages

Total messages: 11
hanwen-google
Hello golang-dev@googlegroups.com (cc: agl@golang.org, dave@cheney.net), I'd like you to review this change to https://code.google.com/p/go.crypto
5 years, 11 months ago (2013-10-09 12:51:08 UTC) #1
hanwen-google
by request of dfc, this is split off from 14225043.
5 years, 11 months ago (2013-10-09 12:51:57 UTC) #2
dfc
Sorry for the delay. I appreciate you splitting this change up, i'll try to turn ...
5 years, 11 months ago (2013-10-11 06:16:51 UTC) #3
hanwen-google
https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go File ssh/mempipe_test.go (right): https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go#newcode97 ssh/mempipe_test.go:97: if err := a.Close(); err != nil { On ...
5 years, 11 months ago (2013-10-11 07:46:52 UTC) #4
dfc
https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go File ssh/mempipe_test.go (right): https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go#newcode97 ssh/mempipe_test.go:97: if err := a.Close(); err != nil { On ...
5 years, 11 months ago (2013-10-11 13:03:45 UTC) #5
hanwen-google
I've made double close return error too. https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go File ssh/mempipe_test.go (right): https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go#newcode89 ssh/mempipe_test.go:89: func TestmemPipeSafety(t ...
5 years, 11 months ago (2013-10-11 14:39:43 UTC) #6
dfc
https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go File ssh/mempipe_test.go (right): https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go#newcode89 ssh/mempipe_test.go:89: func TestmemPipeSafety(t *testing.T) { I'd like to see this ...
5 years, 11 months ago (2013-10-12 10:57:03 UTC) #7
hanwen-google
removed. On Sat, Oct 12, 2013 at 12:57 PM, <dave@cheney.net> wrote: > > https://codereview.appspot.com/14532048/diff/6001/ssh/mempipe_test.go > ...
5 years, 11 months ago (2013-10-12 12:48:31 UTC) #8
dfc
thanks, the rest LGTM. ill submit it in the morning if noone else does so ...
5 years, 11 months ago (2013-10-12 12:55:18 UTC) #9
dfc
*** Submitted as https://code.google.com/p/go/source/detail?r=bb19605bfacc&repo=crypto *** go.crypto/ssh: implement memTransport using sync.Cond. This makes memTransport safe for ...
5 years, 11 months ago (2013-10-12 21:34:50 UTC) #10
hanwen-google
5 years, 10 months ago (2013-10-29 16:13:22 UTC) #11
Message was sent while issue was closed.
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b